Berkeley DB Java Edition version 3.2.76

## com.sleepycat.je
Class TransactionStats.Active

    java.lang.Object
      com.sleepycat.je.TransactionStats.Active

Enclosing class:
  TransactionStats

    public static class TransactionStats.Active

extends Object

The Active class represents an active transaction.

Method Summary
`long` `getId()` The transaction ID of the transaction.
`String` `getName()` The transaction name, including the thread name if available.
`long` `getParentId()` The transaction ID of the parent transaction (or 0, if no parent).
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getId

    public long getId()

  The transaction ID of the transaction.

### getParentId

    public long getParentId()

  The transaction ID of the parent transaction (or 0, if no parent).

### getName

    public String getName()

  The transaction name, including the thread name if available.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Berkeley DB Java Edition version 3.2.76

Copyright 1996,2008 Oracle. All rights reserved.